#14 Reference to errno with gcc 3.2 and glibc 2.3

open
nobody
None
5
2004-06-08
2004-03-19
Olivier Clavel
No

Camserv won't compile with gcc 3.2 et glilbc 2.3 (on a
redhat 9 system). Actually it might happen with earlier
versions but I am no C guru and don't have time to check.

The build fails with error: "undefined reference to
`errno'". It is a well known problem referenced for
several pieces of software.

Here is a patch that solves the problem.

Discussion

  • Olivier Clavel
    Olivier Clavel
    2004-03-19

    patch for errno reference with gcc 3.2 and glibc 2.3

     
    Attachments
  • Olivier Clavel
    Olivier Clavel
    2004-06-08

    • summary: Reference to errno with gcc 3.2 and 2.3 --> Reference to errno with gcc 3.2 and glibc 2.3
     
  • blahpony
    blahpony
    2004-10-31

    Logged In: YES
    user_id=1149935

    Which file needs to be patched? I would really like to have
    this program running again. Unfortunately I'm not exactly
    sure how to apply the patch properly.

    Thanks.

     
  • Olivier Clavel
    Olivier Clavel
    2004-11-02

    Logged In: YES
    user_id=250681

    - Get camserv 0.5.1 source
    - Unpack the source
    - Download the patch
    - Move to the directory where the source is unpacked (cd
    /path/to/dir/camserv-0.5.1)
    - Apply the patch like this: patch -p1 <
    /path/to/camserv-errno.patch
    - Compile and it should work fine